Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SessionType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SessionType

Direct Known Subclasses:
  `TdApi.SessionTypeAndroid`, `TdApi.SessionTypeApple`, `TdApi.SessionTypeBrave`, `TdApi.SessionTypeChrome`, `TdApi.SessionTypeEdge`, `TdApi.SessionTypeFirefox`, `TdApi.SessionTypeIpad`, `TdApi.SessionTypeIphone`, `TdApi.SessionTypeLinux`, `TdApi.SessionTypeMac`, `TdApi.SessionTypeOpera`, `TdApi.SessionTypeSafari`, `TdApi.SessionTypeUbuntu`, `TdApi.SessionTypeUnknown`, `TdApi.SessionTypeVivaldi`, `TdApi.SessionTypeWindows`, `TdApi.SessionTypeXbox`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.SessionType extends TdApi.Object permits TdApi.SessionTypeAndroid, TdApi.SessionTypeApple, TdApi.SessionTypeBrave, TdApi.SessionTypeChrome, TdApi.SessionTypeEdge, TdApi.SessionTypeFirefox, TdApi.SessionTypeIpad, TdApi.SessionTypeIphone, TdApi.SessionTypeLinux, TdApi.SessionTypeMac, TdApi.SessionTypeOpera, TdApi.SessionTypeSafari, TdApi.SessionTypeUbuntu, TdApi.SessionTypeUnknown, TdApi.SessionTypeVivaldi, TdApi.SessionTypeWindows, TdApi.SessionTypeXbox
This class is an abstract base class. Represents the type of a session.

## Constructor Summary

Constructors
Constructor
Description
`SessionType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionType

public SessionType()
Default class constructor.